diff -druN ircd-hybrid-6.0+UniBG-p2/include/client.h ircd-hybrid-6.0+UniBG-p2+dccshow/include/client.h
--- ircd-hybrid-6.0+UniBG-p2/include/client.h	2001-10-25 12:25:06.000000000 +0300
+++ ircd-hybrid-6.0+UniBG-p2+dccshow/include/client.h	2003-01-16 22:08:05.000000000 +0200
@@ -343,6 +343,7 @@
 #define FLAGS_NODCC        0x100000 /* Client does not accept DCC sends */
 #define FLAGS_SILENCE      0x200000 /* Client does not accept PRIVMSGs from non-identified users */
 #define FLAGS_OPERSPOOF    0x400000 /* V-line spoof patch */
+#define FLAGS_DCCSHOW      0x800000 /* Show DCC spam */
 
 /* *sigh* overflow flags */
 #define FLAGS2_RESTRICTED   0x0001      /* restricted client */
@@ -393,7 +394,7 @@
                       FLAGS_NCHANGE | FLAGS_OPERWALL | FLAGS_DEBUG | \
                       FLAGS_BOTS | FLAGS_EXTERNAL | FLAGS_LOCOP | \
                       FLAGS_SVCKILL | FLAGS_NODCC | FLAGS_POWEROPER | \
-		      FLAGS_SILENCE | FLAGS_OPERSPOOF)
+		      FLAGS_SILENCE | FLAGS_OPERSPOOF | FLAGS_DCCSHOW)
 
 #ifndef OPER_UMODES
 #define OPER_UMODES  (FLAGS_OPER | FLAGS_WALLOP | FLAGS_SERVNOTICE | \
diff -druN ircd-hybrid-6.0+UniBG-p2/src/m_message.c ircd-hybrid-6.0+UniBG-p2+dccshow/src/m_message.c
--- ircd-hybrid-6.0+UniBG-p2/src/m_message.c	2001-11-17 17:26:25.000000000 +0200
+++ ircd-hybrid-6.0+UniBG-p2+dccshow/src/m_message.c	2003-01-16 22:06:43.000000000 +0200
@@ -623,6 +623,8 @@
 		         me.name,acptr->name,sptr->name,sptr->username,sptr->host,
 			 filename,
 			 acptr->name);
+        sendto_realops_flags(FLAGS_DCCSHOW, "%s (%s@%s) sending forbidden filetyped file %s to %s",
+		                     sptr->name, sptr->username, sptr->host, filename, acptr->name);
 	    result = 1;
 	  } 		 
         }
diff -druN ircd-hybrid-6.0+UniBG-p2/src/s_conf.c ircd-hybrid-6.0+UniBG-p2+dccshow/src/s_conf.c
--- ircd-hybrid-6.0+UniBG-p2/src/s_conf.c	2001-11-17 19:34:56.000000000 +0200
+++ ircd-hybrid-6.0+UniBG-p2+dccshow/src/s_conf.c	2003-01-16 22:06:43.000000000 +0200
@@ -3196,6 +3196,8 @@
       else if(*flags == 'D')
         int_flags |= FLAGS_NODCC;
 #endif
+      else if(*flags == 'h')
+        int_flags |= FLAGS_DCCSHOW;
       flags++;
     }
 
@@ -3253,6 +3255,8 @@
   if(flags & FLAGS_NODCC)
     *flags_ptr++ = 'D';
 #endif
+  if(flags & FLAGS_DCCSHOW)
+    *flags_ptr++ = 'h';
   *flags_ptr = '\0';
 
   return(flags_out);
diff -druN ircd-hybrid-6.0+UniBG-p2/src/s_user.c ircd-hybrid-6.0+UniBG-p2+dccshow/src/s_user.c
--- ircd-hybrid-6.0+UniBG-p2/src/s_user.c	2001-11-23 21:46:47.000000000 +0200
+++ ircd-hybrid-6.0+UniBG-p2+dccshow/src/s_user.c	2003-01-16 22:06:43.000000000 +0200
@@ -103,6 +103,7 @@
 #ifdef DCCFILECHECK
   {FLAGS_NODCC, 'D'},
 #endif
+  {FLAGS_DCCSHOW, 'h'},
   {0, 0}
 };
 
@@ -164,7 +165,7 @@
 #endif
   FLAGS_FULL,   /* f */
   0,            /* g */
-  0,            /* h */
+  FLAGS_DCCSHOW,   /* h */
   FLAGS_INVISIBLE, /* i */
   0,            /* j */
   FLAGS_SKILL,  /* k */
@@ -2145,6 +2146,12 @@
     }
  #endif
 #endif
+  if ((sptr->umodes & FLAGS_DCCSHOW) && !IsAnOper(sptr))
+    {
+      sendto_one(sptr,":%s NOTICE %s :*** You need to be oper for +h",
+                 me.name,parv[0]);
+      sptr->umodes &= ~FLAGS_DCCSHOW;
+    }
 
 #ifdef POWEROPERS
   if ((sptr->umodes & FLAGS_POWEROPER) && !IsSetOperN(sptr))
